﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using System.Diagnostics;
using Infragistics.Windows;
using System.Windows.Controls.Primitives;
using System.Collections.ObjectModel;
using System.ComponentModel;
using Infragistics.Windows.DataPresenter;

namespace Test
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Person> collection { get; set; }

        public MainWindow()
        {
            InitializeComponent();

            List<SpecialData> list = new List<SpecialData>();
            list.Add(new SpecialData() { info1="KUR", info2 = "KUR2" });
            list.Add(new SpecialData() { info1 = "Topki", info2 = "Topki2" });
            list.Add(new SpecialData() { info1 = "Topxcvxcvxcvki", info2 = "xcvxcvxcvTopki2" });

            collection = new ObservableCollection<Person>();
            collection.Add(new Person() { Name = "Ivan1", Age = 20, data = list });
            collection.Add(new Person() { Name = "Ivan2", Age = 50, data = list });
            collection.Add(new Person() { Name = "Ivan3", Age = 30, data = list });
            collection.Add(new Person() { Name = "Ivan4", Age = 40, data = null});

            this.DataContext = collection;

            for (int i = 0; i < list.Count; i++)
            {
                UnboundField uf = new UnboundField();
                uf.Label = "UF" + i;
                uf.BindingPath = new PropertyPath("data[" + i + "].info1");
                xamDataGrid1.FieldLayouts[0].Fields.Add(uf);
                UnboundField uf1 = new UnboundField();
                uf1.Label = "UF" + (i + 1);
                uf1.BindingPath = new PropertyPath("data[" + i + "].info2");
                xamDataGrid1.FieldLayouts[0].Fields.Add(uf1);
            }
        }
    }

    public class Person
    {
        public String Name { get; set; }
        public int Age { get; set; }

        public List<SpecialData> data { get; set; }
    }

    public class SpecialData
    {
        public String info1 { get; set; }
        public String info2 { get; set; }
    }
}
